# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gollum/descendant_tree/version'

Gem::Specification.new do |spec|
  spec.name          = "gollum-descendant_tree"
  spec.version       = Gollum::DescendantTree::VERSION
  spec.authors       = ["Aaron Froehlich"]
  spec.email         = ["aaron@singlebrook.com"]
  spec.description   = %q{Provides a tag that can be used in gollum to output descedants of the current page}
  spec.summary       = %q{Descendant Tree is similar to Gollum's _TOC_ tag, except that it outputs an unordered list of all descendants of the current page, as determined by the page paths.}
  spec.homepage      = "https://github.com/singlebrook/gollum-descendant_tree"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency 'rspec', '~> 2.13'
  # Versions after 1.0.6 will be broken because the interface of Gollum::Markup#render
  # has changed.
  spec.add_dependency "gollum-lib", "<= 1.0.6"
  spec.add_dependency "gollum", "~> 2.5.0"
  spec.add_dependency "titleize", "~> 1.3"
end
